if (!browser) {
    var browser = chrome;
}

function refresh(){
    browser.tabs.query({active: true,currentWindow: true}, function (tabs) {
        var tab = tabs[0];
        if (tab.url.indexOf("referendum.interieur.gouv.fr/consultation_publique/8/")!=-1) {
            browser.tabs.sendMessage(tab.id, {data: "ping"}, function (response) {
                if(response){
                    var d = new Date();
                    lastMessage = d.getTime();
                    $("#localDigramme>span").html(response.section);
                    $("#signatures>span:first-child").html(response.signatures + " signatures comptées");
                    if (response.section != "??") {
                        $("#signatures>span:last-child").html('<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Résolvez le captcha');
                    }
                    if (response.signatures != "??") {
                        if (response.serveur == "ok") {
                            $("#signatures>span:last-child").html('<i class="fa fa-check" aria-hidden="true"></i> Reçues par le serveur ! Merci');
                        } else if (response.serveur == "error") {
                            $("#signatures>span:last-child").html('<i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Erreur d\'envoi');
                        } else {
                            $("#signatures>span:last-child").html('<i class="fa fa-cog fa-spin fa-fw"></i> En cours d\'envoi...');
                        }
                    }
                }
            });
        }

        $.get({
            url: "https://dav.li/rip-le-compteur/contribuer.php?popup",
            dataType: "json"
        }).done(function (data) {
            if (data.a_faire > 0) {
                $("#nextDigramme>a").attr("href", data.lien);
                $("#nextDigramme>a").html(data.digramme + '<i class="fa fa-angle-double-right" aria-hidden="true"></i>');
                if(tab.url.indexOf("referendum.interieur.gouv.fr/consultation_publique/8/")==-1) {
                    $("#signatures>span:last-child").html('<i class="fa fa-info-circle" aria-hidden="true"></i> Visitez la liste publique du RIP</span>');
                }
                browser.browserAction.setBadgeText({text: "" + data.a_faire});
                browser.browserAction.setBadgeTextColor({color: "#3c3c3c"});
                browser.browserAction.setBadgeBackgroundColor({color: "#ffdc5d"});
            } else {
                $("#nextDigramme>a").css("cursor", "not-allowed");
                if (tab.url.indexOf("referendum.interieur.gouv.fr/consultation_publique/8/")==-1) {
                    $("#signatures>span:last-child").html('<i class="fa fa-info-circle" aria-hidden="true"></i> Plus rien à compter !</span>');
                }
                browser.browserAction.setBadgeText({text: ""});
            }
            $("#a_faire").html(data.a_faire);
        });
    });
}

refresh();

setInterval(function(){
    if($("#signatures>span:last-child .fa-cog").length){
        refresh();
    }
},1000);

$("a").click(function(evt){
    var link=$(this).attr("href");
    evt.preventDefault();
    browser.tabs.query({active: true,currentWindow: true}, function (tabs) {
        var tab = tabs[0];
        if (tab.url.indexOf("referendum.interieur.gouv.fr/consultation_publique/8/")!=-1 && link.indexOf("dav.li")==-1) {
            browser.tabs.update(tab.id, {url: link});
        }else{
            browser.tabs.create({url: link});
        }
    });
});